using DigitalData.Core.Abstractions.Infrastructure;
using DigitalData.UserManager.Domain.Entities;

namespace DigitalData.UserManager.Infrastructure.Contracts
{
    public interface IModuleOfUserRepository : ICRUDRepository<ModuleOfUser, int>
    {
        IQueryable<ModuleOfUser> ReadByModuleId(int moduleId);

        Task<IEnumerable<ModuleOfUser>> ReadByModelUserIdAsync(int moduleId, int userId);

        Task<IEnumerable<ModuleOfUser>> ReadByUserAsync(string username);
    }
}